# Copyright 2021 John Reese
# Licensed under the MIT license

"""
List of packages in the stdlib
"""

__author__ = "John Reese"
import sys

from .__version__ import __version__

module_names = frozenset(
    {
        "ftplib",
        "uuid",
        "mimetypes",
        "crypt",
        "shutil",
        "smtpd",
        "threading",
        "readline",
        "winsound",
        "multiprocessing",
        "queue",
        "_osx_support",
        "_winapi",
        "_frozen_importlib_external",
        "stat",
        "struct",
        "timeit",
        "nturl2path",
        "xmlrpc",
        "_lsprof",
        "_md5",
        "_random",
        "traceback",
        "base64",
        "fractions",
        "unicodedata",
        "plistlib",
        "optparse",
        "pipes",
        "binhex",
        "dataclasses",
        "dis",
        "_csv",
        "bz2",
        "difflib",
        "profile",
        "pydoc",
        "signal",
        "tty",
        "select",
        "http",
        "imp",
        "syslog",
        "subprocess",
        "time",
        "idlelib",
        "tracemalloc",
        "_operator",
        "functools",
        "tokenize",
        "_statistics",
        "cProfile",
        "hmac",
        "zipapp",
        "zipimport",
        "copy",
        "sunau",
        "_msi",
        "antigravity",
        "token",
        "wave",
        "_multibytecodec",
        "_sitebuiltins",
        "tkinter",
        "grp",
        "netrc",
        "codecs",
        "abc",
        "audioop",
        "string",
        "weakref",
        "telnetlib",
        "zlib",
        "pickle",
        "array",
        "_sqlite3",
        "faulthandler",
        "_posixsubprocess",
        "xml",
        "cgitb",
        "builtins",
        "socket",
        "_dbm",
        "filecmp",
        "colorsys",
        "gettext",
        "platform",
        "_pickle",
        "dbm",
        "_stat",
        "tempfile",
        "types",
        "_hashlib",
        "_datetime",
        "modulefinder",
        "email",
        "sre_parse",
        "site",
        "_posixshmem",
        "poplib",
        "ctypes",
        "this",
        "textwrap",
        "_multiprocessing",
        "_frozen_importlib",
        "math",
        "errno",
        "_sha256",
        "contextvars",
        "runpy",
        "sndhdr",
        "webbrowser",
        "argparse",
        "cmd",
        "uu",
        "py_compile",
        "_sha1",
        "symtable",
        "secrets",
        "_tkinter",
        "tarfile",
        "operator",
        "lib2to3",
        "_warnings",
        "hashlib",
        "msilib",
        "_sha3",
        "random",
        "_asyncio",
        "termios",
        "nt",
        "_struct",
        "sre_constants",
        "sysconfig",
        "ipaddress",
        "pwd",
        "_pyio",
        "_locale",
        "pty",
        "_compression",
        "atexit",
        "ossaudiodev",
        "quopri",
        "_weakref",
        "_bz2",
        "_socket",
        "_symtable",
        "pickletools",
        "_heapq",
        "heapq",
        "_blake2",
        "asyncio",
        "binascii",
        "_decimal",
        "asynchat",
        "importlib",
        "_crypt",
        "imaplib",
        "reprlib",
        "sqlite3",
        "_gdbm",
        "msvcrt",
        "_codecs_tw",
        "linecache",
        "_contextvars",
        "aifc",
        "zipfile",
        "lzma",
        "gzip",
        "_queue",
        "_collections_abc",
        "datetime",
        "shlex",
        "codeop",
        "_bootsubprocess",
        "_ctypes",
        "enum",
        "zoneinfo",
        "_ssl",
        "_threading_local",
        "bisect",
        "calendar",
        "collections",
        "_imp",
        "chunk",
        "fnmatch",
        "curses",
        "_io",
        "glob",
        "pprint",
        "_lzma",
        "concurrent",
        "re",
        "venv",
        "winreg",
        "pyclbr",
        "_codecs_cn",
        "locale",
        "_codecs_hk",
        "resource",
        "_codecs_kr",
        "rlcompleter",
        "smtplib",
        "_strptime",
        "_codecs_iso2022",
        "mailcap",
        "nntplib",
        "statistics",
        "_markupbase",
        "posixpath",
        "_compat_pickle",
        "turtle",
        "wsgiref",
        "_signal",
        "shelve",
        "keyword",
        "urllib",
        "decimal",
        "_aix_support",
        "_ast",
        "getopt",
        "logging",
        "pstats",
        "_zoneinfo",
        "genericpath",
        "encodings",
        "fcntl",
        "_json",
        "os",
        "cmath",
        "_functools",
        "doctest",
        "bdb",
        "getpass",
        "turtledemo",
        "_sha512",
        "trace",
        "_uuid",
        "posix",
        "_codecs",
        "_curses",
        "html",
        "ntpath",
        "ensurepip",
        "io",
        "pathlib",
        "stringprep",
        "warnings",
        "_string",
        "__future__",
        "contextlib",
        "copyreg",
        "code",
        "csv",
        "ast",
        "inspect",
        "selectors",
        "_weakrefset",
        "sys",
        "configparser",
        "gc",
        "_curses_panel",
        "asyncore",
        "pydoc_data",
        "fileinput",
        "compileall",
        "sched",
        "pdb",
        "pyexpat",
        "unittest",
        "sre_compile",
        "numbers",
        "_pydecimal",
        "pkgutil",
        "_tracemalloc",
        "imghdr",
        "nis",
        "mailbox",
        "graphlib",
        "_opcode",
        "_elementtree",
        "_py_abc",
        "json",
        "cgi",
        "marshal",
        "socketserver",
        "_sre",
        "typing",
        "xdrlib",
        "itertools",
        "tabnanny",
        "spwd",
        "_abc",
        "opcode",
        "_codecs_jp",
        "_collections",
        "distutils",
        "_bisect",
        "mmap",
        "ssl",
        "_thread",
    }
)

if sys.version_info >= (3, 10):  # pragma: nocover
    module_names = frozenset(module_names | sys.stdlib_module_names)
